010 Virtual Account Issuance Cancel API
An API for cancelling an issued 010 virtual account. Cancels the issued virtual account number before deposit.
Test Key Information
API Information
POST/spay/APIVBank.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APIVBank.do운영
https://gw.settlebank.co.kr/spay/APIVBank.doImportant Notes
Cancel Only Available Before Deposit
Issuance cancel (A2) cancels the virtual account issuance before deposit. For already-deposited transactions, use refund (C0) instead of issuance cancel.
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*A2: Issuance Cancel
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
Encryption type code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number for cancel (newly generated)
Merchant order number for cancel (newly generated)
└trdDtN(8)Numeric, up to 8 bytes*Cancel request date (yyyyMMdd)
Cancel request date (yyyyMMdd)
└trdTmN(6)Numeric, up to 6 bytes*Cancel request time (HHmmss)
Cancel request time (HHmmss)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: IOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
*Cancel request date + cancel request time + merchant ID + merchant order number + '0' + hash key
└orgTrdNoAN(40)Alphanumeric, up to 40 bytes*Transaction number issued by Hecto Financial at the time of issuance
Transaction number issued by Hecto Financial at the time of issuance
└vAcntNoN(14)Numeric, up to 14 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Previously issued virtual account numberPreviously issued virtual account number
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Merchant ID
nxva_sb_ilMerchant ID
└verAN(4)Alphanumeric, up to 4 bytes*Message version
0A18Message version
└methodA(2)Alphabetic, up to 2 bytes*Payment method
VAPayment method
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
A2Business type code
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
23Encryption type code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number
CANCEL20211231100000Merchant order number
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction number
STBK_0123456789Hecto Financial transaction number
└trdDtN(8)Numeric, up to 8 bytes*Cancel request date
20211231Cancel request date
└trdTmN(6)Numeric, up to 6 bytes*Cancel request time
120000Cancel request time
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code
0021Transaction status code
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Result code (0000 indicates success)
0000Result code (0000 indicates success)
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*Response hash value
75ac014c33165f3ee0c331123a0049f37a6e1578f8cec1d3d0374ffb75f18496Response hash value
└orgTrdNoAN(40)Alphanumeric, up to 40 bytesOriginal transaction number
STBK_0123456789Original transaction number
└acntTypeN(1)Numeric, up to 1 bytesAccount type
4Account type
4: 010 Virtual Account└vAcntNoN(14)Numeric, up to 14 bytesVirtual account number
01012345678Virtual account number
Request Example
{
"params": {
"mchtId": "nxva_sb_il",
"ver": "0A18",
"method": "VA",
"bizType": "A2",
"encCd": "23",
"mchtTrdNo": "CANCEL20211231100000",
"trdDt": "20211231",
"trdTm": "120000",
"mobileYn": "N",
"osType": "W"
},
"data": {
"pktHash": "hash value",
"orgTrdNo": "STBK_0123456789",
"vAcntNo": "AES-encrypted virtual account number"
}
}
Response Example
Success
{
"params": {
"mchtId": "nxva_sb_il",
"ver": "0A18",
"method": "VA",
"bizType": "A2",
"encCd": "23",
"mchtTrdNo": "CANCEL20211231100000",
"trdNo": "STBK_0123456790",
"trdDt": "20211231",
"trdTm": "120000",
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully."
},
"data": {
"pktHash": "response hash value",
"orgTrdNo": "STBK_0123456789",
"acntType": "4",
"vAcntNo": "01012345678"
}
}
Failure
{
"params": {
"mchtId": "nxva_sb_il",
"ver": "0A18",
"method": "VA",
"bizType": "A2",
"encCd": "23",
"mchtTrdNo": "CANCEL20211231100000",
"trdNo": "",
"trdDt": "20211231",
"trdTm": "120000",
"outStatCd": "0031",
"outRsltCd": "0004",
"outRsltMsg": "This transaction has already been deposited."
},
"data": {}
}
Need technical support?
Code Samples
HectoFinancial GitHub